### Function

# Vips check_precision_intfloat

#### Declaration [src]

    int
    vips_check_precision_intfloat (
      const char* domain,
      VipsPrecision precision
    )

#### Description [src]

Check that `prec` image is either float or int. If not, set an error message and return non-zero.

See also

`vips_error()`.

#### Parameters

`domain`

  Type: `const char*`

  The originating domain for the error message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`precision`

  Type: `VipsPrecision`

  Precision to check.

#### Return value

Type: `int`

0 on OK, or -1 on error.